Summary: A real mode 80x86 assembler and linker
Name: dev86
Version: 0.16.21
Release:    1%{?dist}
License: GPL+ and GPLv2+ and LGPLv2+
URL: http://v3.sk/~lkundrak/dev86/
Source0: http://v3.sk/~lkundrak/dev86/archive/Dev86src-%{version}.tar.gz
Patch0: dev86-noelks.patch
Patch1: dev86-64bit.patch
Patch2: dev86-nostrip.patch
Patch4: dev86-long.patch

%define __os_install_post    /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip %{__strip} /usr/lib/rpm/brp-strip-comment-note %{__strip} %{__objdump} %{nil}

BuildRequires:  gcc
BuildRequires: make
%description
The dev86 package provides an assembler and linker for real mode 80x86
instructions. You'll need to have this package installed in order to
build programs that run in real mode, including LILO and the kernel's
bootstrapping code, from their sources.

You should install dev86 if you intend to build programs that run in real
mode from their source code.

%prep
%setup -q
%patch0 -p1 -b .noelks
%if 0%{?__isa_bits} == 64
%patch1 -p1 -b .64bit
%endif
%patch2 -p1 -b .nostrip
%patch4 -p1 -b .long

%build
make bcc86 unproto copt as86 ld86 CFLAGS="-std=gnu89 $RPM_OPT_FLAGS -fno-strict-aliasing"
make -C cpp CFLAGS="-std=gnu89 $RPM_OPT_FLAGS" %{?_smp_mflags}
make -C ar CFLAGS="-std=gnu89 $RPM_OPT_FLAGS" %{?_smp_mflags}
make -C ld CFLAGS="-std=gnu89 $RPM_OPT_FLAGS" %{?_smp_mflags}
make

%install
rm -rf %{buildroot}

make	DIST=%{buildroot} \
	MANDIR=%{_mandir} \
	LIBDIR=%{_libdir}/bcc \
	INCLDIR=%{_libdir}/bcc \
	LOCALPREFIX=%{_prefix} \
	install install-man

for i in bootblocks copt dis88 unproto bin86 ; do cp $i/README README.$i ; done
cp bin86/README-0.4 README-0.4.bin86
cp bin86/ChangeLog ChangeLog.bin86
mv libc/COPYING COPYING.LGPL

pushd %{buildroot}%{_bindir}
rm -f nm86 size86
ln -s objdump86 nm86
ln -s objdump86 size86
popd

%files
%doc README MAGIC Contributors README.bootblocks README.copt README.dis88
%doc README.unproto README-0.4.bin86 README.bin86 ChangeLog.bin86 COPYING
%doc COPYING.LGPL
%dir %{_libdir}/bcc
%{_bindir}/bcc
%{_bindir}/ar86
%{_bindir}/as86
%{_bindir}/ld86
%{_bindir}/objdump86
%{_bindir}/nm86
%{_bindir}/size86
%{_libdir}/bcc/*
%{_mandir}/man1/*

%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.16.21-1
- initial build
